{% extends 'base.html.twig' %}

{% form_theme main_form _self %}

{% block sonata_type_model_hidden_widget %}
    <li class="list-group-item groupRow" data-group-id="{% if value %}{{ value }}{% endif %}">
        <span class="groupName">{% if data %}{{ data.name }} {% if data.provider and data.provider.id != providerId %}({{ data.provider.name }}){% endif %}{% endif %}</span>
        {{ form_widget(form) }}

        {% if name == "__name__" or ( data and data.manageManually ) %}
            &nbsp; <a class="deleteBt btn btn-danger" onclick="deleteGroupRow(this)">Elimina</a>
        {% endif %}
    </li>
{% endblock %}


{% block body %}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>{{ isEditing ? 'Modifica' : 'Creazione' }} Studente</h1>
            <fieldset class="ui-grid-a">
                <div class="ui-block-a">
                    {{ form_start(main_form) }}
                    {{ form_errors(main_form) }}
                    {{ form_row(main_form.fiscalCode) }}
                    {{ form_row(main_form.lastname) }}
                    {{ form_row(main_form.firstname) }}
                    {{ form_row(main_form.username) }}
                    {{ form_row(main_form.email) }}
                    {{ form_row(main_form.provider) }}
                    {{ form_row(main_form.additionalProviders) }}

                    {{ form_label(main_form.memberOf) }}
                    <div>
                        {% for memberOf in main_form.memberOf %}
                            {% if memberOf.vars.value in providerManuallyManagedGroupIds or (memberOf.vars.value in manuallyManagedGroupIds and memberOf.vars.checked) %}
                                {{ form_widget(memberOf) }}
                            {% elseif memberOf.vars.checked %}
                                <input type="hidden" name="{{ memberOf.vars.full_name }}" value="{{ memberOf.vars.value }}">
                                {{ form_widget(memberOf, {'disabled': true}) }}
                            {% else %}
                                <div class="d-none">
                                    {{ form_widget(memberOf) }}
                                </div>
                            {% endif %}
                        {% endfor %}
                    </div>

                    {{ form_widget(main_form.submit, {'attr':{'style' : 'display: none'}}) }}
                    {{ form_end(main_form) }}
                    <br/>
                </div>
            </fieldset>

            <div class="row sendBtnArea">
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
                    <label for="{{ main_form.submit.vars.id }}"
                           class="btn btn-success">{{ main_form.submit.vars.label }}</label>
                </div>
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
                    <a href="{{ groupId != "" ? path('group_show', {'id': groupId }) : path('student_list') }}"
                       class="btn btn-info">
                        Ritorna alla lista
                    </a>
                </div>
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
                    {% if isEditing %}

                        {% if entity.isTrashed %}
                        <a href="{{ path('student_restore', {'id': entity.id, 'groupId': groupId }) }}" class="btn btn-danger"  onclick="return confirm('Sei sicuro di voler ripristinare questo elemento?')">
                            Ripristina dal cestino
                        </a>
                        {% else %}
                        <a href="{{ path('student_trash', {'id': entity.id, 'groupId': groupId }) }}" class="btn btn-danger"  onclick="return confirm('Sei sicuro di voler cestinare questo elemento?')">
                            Cestina
                        </a>
                        {% endif %}

                        {% if is_granted('ROLE_ADMIN') %}
                        <a href="{{ path('student_delete_form', {'id': entity.id, 'groupId': groupId }) }}" class="btn btn-danger">
                            Elimina
                        </a>
                        {% endif %}
                    {% endif %}
                </div>
            </div>
        </div>
    </main>
{% endblock %}

